- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::MsgStateSend Class Reference

The MsgStateSend is an abstract base class that sends objects to nodes in a MessageGrp. More...

`#include <mstate.h>`

Inheritance diagram for sc::MsgStateSend:

List of all members.

## Public Member Functions
| MsgStateSend (const Ref< MessageGrp > &)
virtual void | flush ()=0
| Specializations must implement flush().
void | set_buffer_size (int)
| The buffer size of statein and stateout objects that communicate with each other must match.
int | put (const ClassDesc *)
| I only need to override put(const ClassDesc*) but C++ will hide all of the other put's so I must override everything.
int | put (char r)
| Write the given datum.
int | put (unsigned int r)
int | put (int r)
int | put (float r)
int | put (double r)
int | put (const char *, int)
| Write the given array data.
int | put (const int *, int)
int | put (const unsigned int *, int)
int | put (const float *, int)
int | put (const double *, int)
## Protected Member Functions
int | put_array_void (const void *, int)
## Protected Attributes
Ref< MessageGrp > | grp
int | nbuf
int | bufsize
char * | buffer
char * | send_buffer
int | nheader
int * | nbuf_buffer

## Detailed Description

The MsgStateSend is an abstract base class that sends objects to nodes in a MessageGrp.

## Member Function Documentation

void sc::MsgStateSend::set_buffer_size | ( | int |  | ) |

The buffer size of statein and stateout objects that communicate with each other must match.

int sc::MsgStateSend::put | ( | const ClassDesc * |  | ) | `[virtual]`

I only need to override put(const ClassDesc*) but C++ will hide all of the other put's so I must override everything.

Reimplemented from sc::StateOut.

int sc::MsgStateSend::put | ( | const char * | ,
|  | int |  |
| ) |  |  | `[virtual]`

Write the given array data.

Size information is also saved. The data is allocated and read by the get(T*&) routines.

Reimplemented from sc::StateOut.

The documentation for this class was generated from the following file:

- mstate.h